use color_eyre::Result;
use tracing_error::ErrorLayer;
use tracing_subscriber::{fmt, layer::SubscriberExt as _, util::SubscriberInitExt as _, EnvFilter};

fn main() -> Result<()> {
    color_eyre::install()?;
    tracing_subscriber::registry()
        .with(EnvFilter::try_from_default_env().unwrap_or_else(|_| "info".into()))
        .with(fmt::layer().pretty())
        .with(ErrorLayer::new(fmt::format::Pretty::default()))
        .init();

    println!("Hello, world!");

    Ok(())
}
